Subject: bug#36306: 26.2.90; gnus pause doesn't show hourglass icon

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Jun 2019 14:13:59 +0200

Eli Zaretskii <[email-masked]> writes:

>> Emacs doesn't display any hourglasses
>
> Emacs displays a special "hourglass" mouse pointer when it does some
> prolonged operation.  By default, we should display that mouse pointer
> after 1 sec of doing something.  See start_hourglass in xdisp.c.
>
>> What happens if you eval
>> 
>> (dotimes (i 100000000))
>
> Here (on MS-Windows) Emacs displays the hourglass mouse pointer.

On Debian GNU/Linux, it looks like this doesn't do anything...  but if I
move the mouse pointer out of the Emacs frame, and then back again, I
get a spinner.  I guess I never noticed before.  :-/  Or perhaps I don't
move the mouse pointer a lot.

But, anyway, is there anything Gnus could be doing that would disable
the hourglass when it's doing some prolonged operation?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no